import { type Tenant } from "../types";
export declare function useUserData(): {
    user_display_name: string;
    user_email: string;
    user_fullname: string;
    user_id: number;
    user_nicename: string;
} | null;
export declare function useUsername(): string | null;
export declare function useVisitingTenant(): {
    visitingTenant: Tenant | undefined;
    saveVisitingTenant: import("react").Dispatch<import("react").SetStateAction<Tenant | undefined>>;
    removeVisitingTenant: () => void;
};
export declare function useUserTenants(): {
    userTenants: Tenant[];
    saveUserTenants: import("react").Dispatch<import("react").SetStateAction<Tenant[]>>;
};
export declare function useCurrentTenant(): {
    currentTenant: Tenant | null;
    saveCurrentTenant: import("react").Dispatch<import("react").SetStateAction<Tenant | null>>;
};
export declare function useIsAdmin(): boolean;
